> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Smart credential start signature

`PUT /api/web/v1/smartcredentials/{id}/startsign`

Smart credential start sign. Caller requires the SMARTCREDENTIALSSIGNATURE:ADD permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the smart credential. |

## Request Body

Required.

### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "digest": {
      "type": "string",
      "description": "The digest value that will be signed by the smart credential."
    },
    "digestHashAlg": {
      "type": "string",
      "description": "The hashing algorithm that will be used to sign the digest value. It must be one of the values \"SHA-1\", \"SHA-224\", \"SHA-256\", \"SHA-384\", \"SHA-512\".",
      "example": "SHA-256"
    },
    "digestKey": {
      "type": "string",
      "description": "Specify which key on the smart credential is used to sign the digest. If not specified it defaults to PIV_AUTHENTICATION.",
      "example": "DIGITAL_SIGNATURE",
      "enum": [
        "PIV_AUTHENTICATION",
        "DIGITAL_SIGNATURE",
        "CARD_AUTHENTICATION"
      ]
    },
    "summary": {
      "type": "string",
      "description": "The smart credential push signature challenge that appears in the user's mobile application.",
      "example": "You have requested to Sign the loan application."
    }
  },
  "description": "Parameters for the smart credential start sign operation.",
  "title": "SmartCredentialStartSignParms"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "transactionId": {
      "type": "string",
      "description": "The smart credential push signature transactionId returned from the start sign operation."
    }
  },
  "description": "Information returned from the smart credential start sign operation.",
  "title": "SmartCredentialStartSignResponse"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "SMARTCREDENTIALSSIGNATURE:ADD"
    ]
  }
]
```
